aboutsummaryrefslogtreecommitdiffstatshomepage
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--.gitattributes2
-rwxr-xr-xbackup_gitconfig.sh6
2 files changed, 8 insertions, 0 deletions
diff --git a/.gitattributes b/.gitattributes
index 8334a0a..c3dcd18 100644
--- a/.gitattributes
+++ b/.gitattributes
@@ -1 +1,3 @@
/%HOME%/**/* text=auto eol=lf
+
+/*.sh text eol=lf
diff --git a/backup_gitconfig.sh b/backup_gitconfig.sh
new file mode 100755
index 0000000..30d13ea
--- /dev/null
+++ b/backup_gitconfig.sh
@@ -0,0 +1,6 @@
+#!/usr/bin/env bash
+
+set -o errexit -o nounset -o pipefail
+
+script_dir="$( cd "$( dirname -- "${BASH_SOURCE[0]}" )" && pwd )"
+cp --remove-destination -- "$script_dir/%HOME%/.gitconfig" ~